Bug 250730 - Missing BR
Summary: Missing BR
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Brich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-03 09:28 UTC by Enrico Scholz
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 11:53:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2007-08-03 09:28:50 UTC
Description of problem:

amanda should specify some more BR; e.g. in
http://koji.fedoraproject.org/koji/getfile?taskID=64809&name=build.log you can see

| checking for ssh... no

As path for ssh is not configurable but compiled in statically, this makes
ssh-auth non-working

There are other checks like for 'compress' and various *dump programs which
might affect functionality too.


Version-Release number of selected component (if applicable):

amanda-2.5.2p1-4.fc8

Comment 1 Radek Brich 2007-08-08 11:53:46 UTC
SSH and compress added to BuildRequires.

Those *dump programs, are they even used by somebody? I tried building with
xfsdump installed and got security warning:

configure: WARNING: *** xfsdump causes the setuid-root rundump program to be enabled
configure: WARNING: *** to disable it, just #undef XFSDUMP in config/config.h

Furthermore, it seems it was always undetected and nobody ever complained...



Note You need to log in before you can comment on or make changes to this bug.